<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLString.php" );
include_once("auth.php");

$ausdb = "nein";

if ((istleer($fehler401)) && (istleer($fehler404)) && (istleer($fehler500)) && (istleer($fehler403)))
	{
	 $fehlertext = ltext("tofeae2_error1");
	 include("tools_fehlerseiten_aendern.php");
	 exit();
	}

if ((!ereg("^/", $fehler404)) && (!ereg("^http[s]?://", $fehler404)) && (!istleer($fehler404)))
	{
	 $fehlertext = ltext("tofeae2_error2");
	 include("tools_fehlerseiten_aendern.php");
	 exit();
	}

if ((!ereg("^/", $fehler403)) && (!ereg("^http[s]?://", $fehler403)) && (!istleer($fehler403)))
	{
	 $fehlertext = ltext("tofeae2_error6");
	 include("tools_fehlerseiten_aendern.php");
	 exit();
	}

if ((!ereg("^/", $fehler401)) && (!istleer($fehler401)))
	{
	 $fehlertext = ltext("tofeae2_error3");
	 include("tools_fehlerseiten_aendern.php");
	 exit();
	}

if ((!ereg("^/", $fehler500)) && (!ereg("^http[s]?://", $fehler500)) && (!istleer($fehler500)))
	{
	 $fehlertext = ltext("tofeae2_error4");
	 include("tools_fehlerseiten_aendern.php");
	 exit();
	}

db_connect($db_host, $db_user, $db_pass);

safe_query( "update allgemein set htaccess='1'", TRUE );

safe_query( "update fehlermeldungen set seite = ?  where pfad = ?  and kunde = ?  and fehlertyp = 401", TRUE, new SQLString( $fehler401 ), new SQLString( $pfad ), new SQLString( $PHP_AUTH_USER ) );
safe_query( "update fehlermeldungen set seite = ?  where pfad = ?  and kunde = ?  and fehlertyp = 404", TRUE, new SQLString( $fehler404 ), new SQLString( $pfad ), new SQLString( $PHP_AUTH_USER ) );
safe_query( "update fehlermeldungen set seite = ?  where pfad = ?  and kunde = ?  and fehlertyp = 500", TRUE, new SQLString( $fehler500 ), new SQLString( $pfad ), new SQLString( $PHP_AUTH_USER ) );
safe_query( "update fehlermeldungen set seite = ?  where pfad = ?  and kunde = ?  and fehlertyp = 403", TRUE, new SQLString( $fehler403 ), new SQLString( $pfad ), new SQLString( $PHP_AUTH_USER ) );
$id = safe_query( "select * from htaccess where pfad = ?  and kunde = ? ", TRUE, new SQLString( $pfad ), new SQLString( $PHP_AUTH_USER ) );
if (db_num_rows($id) < 1)	{
safe_query( "insert into htaccess (pfad, kunde) VALUES (  ? ,  ?  )", TRUE, new SQLString( $pfad ), new SQLString( $PHP_AUTH_USER ) );
				}
db_close();
$fehlertitel = ltext("tofeae2_errortitle");
$fehlertext = ltext("tofeae2_error5");
$pfad = "";
$fehler401 = "";
$fehler500 = "";
$fehler404 = "";
include("tools_fehlerseiten.php");
exit();
?>
